{
  "name": "@kwaeri/node-kit-project-generator",
  "description": "The @kwaeri/node-kit-project-generator component module of the @kwaeri/node-kit platform.",
  "homepage": "https://gitlab.com/kwaeri/cli/providers/node-kit-project-generator#README",
  "author": "Richard B. Winters <kirvedx@gmail.com> and contributors",
  "copyright.owner": "Richard B. Winters <kirvedx@gmail.com> and contributors",
  "license": "(Apache-2.0 WITH LLVM-exception OR MIT)",
  "version": "0.9.0",
  "type": "module",
  "exports": {
    "import": "./dist/index.mjs",
    "require": null
  },
  "main": "dist/index.mjs",
  "types": "dist/index.d.mts",
  "bin": {},
  "default_locale": "en",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/kwaeri/cli/providers/node-kit-project-generator.git"
  },
  "bugs": {
    "url": "https://gitlab.com/kwaeri/cli/providers/node-kit-project-generator/issues"
  },
  "funding": [
    {
      "type": "Patreon",
      "url": "https://patreon.com/kirvedx"
    },
    {
      "type": "PayPal",
      "url": "https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=YUW4CWCAABCU2"
    }
  ],
  "keywords": [
    "mmod",
    "massively",
    "modified",
    "nk",
    "Kwaeri",
    "nodekit",
    "generator",
    "project-generator",
    "nkm",
    "@kwaeri/node-kit",
    "@kwaeri/project-generator",
    "@kwaeri/node-kit-project-generator"
  ],
  "scripts": {
    "build": "tsc --build --clean && tsc -p .",
    "clean": "tsc --build --clean",
    "build:major-release": "npm run clean && xfmr-cli --bump-version --component major --source --project && npm run build",
    "build:minor-release": "npm run clean && xfmr-cli --bump-version --component minor --source --project && npm run build",
    "build:patch-release": "npm run clean && xfmr-cli --bump-version --source --project && npm run build",
    "test": "mocha --timeout 20000 --exit",
    "coverage": "nyc mocha --timeout 20000 --exit",
    "abc": "npm run build && npm run coverage"
  },
  "devDependencies": {
    "@istanbuljs/esm-loader-hook": "^0.2.0",
    "@istanbuljs/nyc-config-typescript": "^1.0.2",
    "@kwaeri/xfmr": "^0.3.0",
    "@tsconfig/node19": "^19.1.4",
    "@types/debug": "^4.1.12",
    "@types/mocha": "^10.0.10",
    "@types/node": "^22.10.2",
    "assert": "^2.1.0",
    "mocha": "^11.0.1",
    "nyc": "^17.1.0",
    "typescript": "^5.7.2"
  },
  "dependencies": {
    "@kwaeri/console": "^2.3.0",
    "@kwaeri/developer-tools": "^0.10.1",
    "@kwaeri/filesystem": "^0.9.0",
    "@kwaeri/generator": "^0.9.0",
    "@kwaeri/http2-request": "^0.6.0",
    "@kwaeri/service": "^0.10.0",
    "debug": "^4.4.0",
    "progress": "^2.0.3"
  }
}
